Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# scoped_channel_value Struct Template Reference
[scoped_channel_value]

`#include <channel.hpp>`

List of all members.

## Detailed Description

### template<typename BaseChannelValue, typename MinVal, typename MaxVal>
struct boost::gil::scoped_channel_value< BaseChannelValue, MinVal, MaxVal >

A channel adaptor that modifies the range of the source channel. Models: ChannelValueConcept.

## Public Types

typedef scoped_channel_value | value_type
typedef value_type & | reference
typedef value_type * | pointer
typedef const value_type & | const_reference
typedef const value_type * | const_pointer

## Public Member Functions

| BOOST_STATIC_CONSTANT (bool, is_mutable=channel_traits< BaseChannelValue >::is_mutable)
| scoped_channel_value (const scoped_channel_value &c)
| scoped_channel_value (BaseChannelValue val)
scoped_channel_value & | operator++ ()
scoped_channel_value & | operator-- ()
scoped_channel_value | operator++ (int)
scoped_channel_value | operator-- (int)
template<typename Scalar2>
scoped_channel_value & | operator+= (Scalar2 v)
template<typename Scalar2>
scoped_channel_value & | operator-= (Scalar2 v)
template<typename Scalar2>
scoped_channel_value & | operator*= (Scalar2 v)
template<typename Scalar2>
scoped_channel_value & | operator/= (Scalar2 v)
scoped_channel_value & | operator= (BaseChannelValue v)
| operator BaseChannelValue () const

## Static Public Member Functions

static value_type | min_value ()
static value_type | max_value ()

The documentation for this struct was generated from the following file:

- channel.hpp